<img src="assets/simpler-state-logo.png" alt="SimpleR State" height="48" />

- __Minimalist API__; no complicated concepts or boilerplate
- Use __plain functions__ (including async) to update state
- Largely __unopinionated__ with flexible syntax
- Extremely __simple to unit test__ state logic
- Highly extensible with __plug-ins__ (e.g. persistence, dev tools)
- Full __TypeScript__ support with uncomplicated types
- Made specifically for React, and built on __React Hooks__ 
- Multiple times __faster__ than context/reducer solution
- Tiny, just __around 1 KB__ (minified + gzipped)

Browse this documentation to explore SimpleR State.

## Contents

[__Quick Start: TL;DR Cheat Sheet__](quick-start.html) 👈

[__The Basics__](basics.html)

[__Recipes__](recipes.html)
- [Binding only relevant values (partial or computed)](recipe-transforms.html)
- [Async actions](recipe-async.html)
- [Prefetching data using async initial value](recipe-promise-init.html)
- [Persisting entity values](recipe-persistence.html)
- [Separating "pure" updates from actions](recipe-pure.html)
- [Orchestrating updates to multiple entities with one action](recipe-orchestrators.html)
- [Simplifying nested object updates with proxies](recipe-proxies.html)
- [Unit testing entities](recipe-testing.html)
- [Resetting all entities between component tests](recipe-reset-all.html)
- [Extending functionality with plug-ins](recipe-plugins.html)

<br />

> If you like this library, the concept, and its simplicity, please give it a star on the [GitHub repo](https://github.com/arnelenero/simpler-state) to let me know. 😀