# Recipes

With the very straightforward and unopinionated approach of SimpleR State in managing app state, you have full flexibility to implement things the way you want. It works seamlessly with whatever code architecture you choose for your React app. 

Here we provide some suggested patterns that you may consider for specific scenarios.

- [Binding only relevant values (partial or computed)](recipe-transforms.html)
- [Async actions](recipe-async.html)
- [Prefetching data using async initial value](recipe-promise-init.html)
- [Persisting entity values](recipe-persistence.html)
- [Separating "pure" updates from actions](recipe-pure.html)
- [Orchestrating updates to multiple entities with one action](recipe-orchestrators.html)
- [Simplifying nested object updates with proxies](recipe-proxies.html)
- [Unit testing entities](recipe-testing.html)
- [Resetting all entities between component tests](recipe-reset-all.html)
- [Extending functionality with plug-ins](recipe-plugins.html)


<br /><br />
[Back to home](index.html)